Skip to content

Instantly share code, notes, and snippets.

@PierrePaul PierrePaul/log.txt
Created Aug 18, 2016

Embed
What would you like to do?
pyside2 failing
Generating Shiboken documentation shiboken2...
Running process in /home/pierrepaul/Workbench/pyside-setup/pyside_build/py3.5-qt5.5.1-64bit-release/shiboken2: /usr/bin/make doc
/usr/bin/make doc
Installing module shiboken2...
Running process in /home/pierrepaul/Workbench/pyside-setup/pyside_build/py3.5-qt5.5.1-64bit-release/shiboken2: /usr/bin/make install/fast
/usr/bin/make install/fast
Install the project...
-- Install configuration: "Release"
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/autodecref.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/basewrapper.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/bindingmanager.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/conversions.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/gilstate.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/helper.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/sbkconverter.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/sbkenum.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/sbkmodule.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/python25compat.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/sbkdbg.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/sbkstring.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/shiboken.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/shibokenmacros.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/threadstatesaver.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/typeresolver.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/shibokenbuffer.h
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/sbkpython.h
-- Installing: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/include/shiboken2/sbkversion.h
-- Installing: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/lib/libshiboken2.cpython-35m-x86_64-linux-gnu.so.2.0.0
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/lib/libshiboken2.cpython-35m-x86_64-linux-gnu.so.2.0
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/lib/libshiboken2.cpython-35m-x86_64-linux-gnu.so
-- Up-to-date: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/share/man/man1/shiboken2.1
-- Installing: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/bin/shiboken2
-- Installing: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/lib/python3.5/site-packages/shiboken2.so
-- Set runtime path of "/home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/lib/python3.5/site-packages/shiboken2.so" to ""
-- Installing: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/lib/cmake/Shiboken2-2.0.0/Shiboken2Config.cmake
-- Installing: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/lib/cmake/Shiboken2-2.0.0/Shiboken2Config.cpython-35m-x86_64-linux-gnu.cmake
-- Installing: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/lib/cmake/Shiboken2-2.0.0/Shiboken2ConfigVersion.cmake
-- Installing: /home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release/lib/pkgconfig/shiboken2.pc
Building module pyside2...
Deleting module build folder /home/pierrepaul/Workbench/pyside-setup/pyside_build/py3.5-qt5.5.1-64bit-release/pyside2...
Creating module build folder /home/pierrepaul/Workbench/pyside-setup/pyside_build/py3.5-qt5.5.1-64bit-release/pyside2...
Configuring module pyside2 (/home/pierrepaul/Workbench/pyside-setup/sources/pyside2)...
Running process in /home/pierrepaul/Workbench/pyside-setup/pyside_build/py3.5-qt5.5.1-64bit-release/pyside2: /usr/bin/cmake -G "Unix Makefiles" -DQT_QMAKE_EXECUTABLE='/usr/lib/x86_64-linux-gnu/qt5/bin/qmake' -DBUILD_TESTS=False -DDISABLE_DOCSTRINGS=True -DQt5Help_DIR=/usr/share/qt5/doc -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release /home/pierrepaul/Workbench/pyside-setup/sources/pyside2 -DPYTHON_EXECUTABLE=/usr/bin/python3 -DPYTHON_INCLUDE_DIR=/usr/include/python3.5m -DPYTHON_LIBRARY=/usr/lib/x86_64-linux-gnu/libpython3.5m.so
/usr/bin/cmake -G Unix Makefiles -DQT_QMAKE_EXECUTABLE='/usr/lib/x86_64-linux-gnu/qt5/bin/qmake' -DBUILD_TESTS=False -DDISABLE_DOCSTRINGS=True -DQt5Help_DIR=/usr/share/qt5/doc -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/home/pierrepaul/Workbench/pyside-setup/pyside_install/py3.5-qt5.5.1-64bit-release /home/pierrepaul/Workbench/pyside-setup/sources/pyside2 -DPYTHON_EXECUTABLE=/usr/bin/python3 -DPYTHON_INCLUDE_DIR=/usr/include/python3.5m -DPYTHON_LIBRARY=/usr/lib/x86_64-linux-gnu/libpython3.5m.so
-- The C compiler identification is GNU 5.4.0
-- The CXX compiler identification is GNU 5.4.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Found PythonLibs: /usr/lib/x86_64-linux-gnu/libpython3.5m.so (found suitable version "3.5.2", minimum required is "2.6")
-- Found PythonInterp: /usr/bin/python3 (found suitable version "3.5.2", minimum required is "2.6")
PYTHON_EXTENSION_SUFFIX: .cpython-35m-x86_64-linux-gnu
-- libshiboken built for Release
result:/usr/include/GL/gl.h
CMake Warning at cmake/Macros/FindQt5Extra.cmake:7 (find_package):
By not providing "FindQt5Multimedia.cmake" in CMAKE_MODULE_PATH this
project has asked CMake to find a package configuration file provided by
"Qt5Multimedia", but CMake did not find one.
Could not find a package configuration file provided by "Qt5Multimedia"
with any of the following names:
Qt5MultimediaConfig.cmake
qt5multimedia-config.cmake
Add the installation prefix of "Qt5Multimedia" to CMAKE_PREFIX_PATH or set
"Qt5Multimedia_DIR" to a directory containing one of the above files. If
"Qt5Multimedia" provides a separate development package or SDK, be sure it
has been installed.
Call Stack (most recent call first):
CMakeLists.txt:72 (include)
Qt5Core_INCLUDE_DIRS /usr/include/x86_64-linux-gnu/qt5/;/usr/include/x86_64-linux-gnu/qt5/QtCore;/usr/lib/x86_64-linux-gnu/qt5//mkspecs/linux-g++-64
-- *** computed QT_INCLUDE_DIR as /usr/include/x86_64-linux-gnu/qt5/
-- Detected OS: x11
-- PySide will be generated using the protected hack!
CMake Warning at CMakeLists.txt:248 (find_package):
By not providing "FindQt5Qml.cmake" in CMAKE_MODULE_PATH this project has
asked CMake to find a package configuration file provided by "Qt5Qml", but
CMake did not find one.
Could not find a package configuration file provided by "Qt5Qml" with any
of the following names:
Qt5QmlConfig.cmake
qt5qml-config.cmake
Add the installation prefix of "Qt5Qml" to CMAKE_PREFIX_PATH or set
"Qt5Qml_DIR" to a directory containing one of the above files. If "Qt5Qml"
provides a separate development package or SDK, be sure it has been
installed.
CMake Warning at CMakeLists.txt:250 (find_package):
By not providing "FindQt5Designer.cmake" in CMAKE_MODULE_PATH this project
has asked CMake to find a package configuration file provided by
"Qt5Designer", but CMake did not find one.
Could not find a package configuration file provided by "Qt5Designer" with
any of the following names:
Qt5DesignerConfig.cmake
qt5designer-config.cmake
Add the installation prefix of "Qt5Designer" to CMAKE_PREFIX_PATH or set
"Qt5Designer_DIR" to a directory containing one of the above files. If
"Qt5Designer" provides a separate development package or SDK, be sure it
has been installed.
CMake Warning at CMakeLists.txt:251 (find_package):
By not providing "FindQt5UiTools.cmake" in CMAKE_MODULE_PATH this project
has asked CMake to find a package configuration file provided by
"Qt5UiTools", but CMake did not find one.
Could not find a package configuration file provided by "Qt5UiTools" with
any of the following names:
Qt5UiToolsConfig.cmake
qt5uitools-config.cmake
Add the installation prefix of "Qt5UiTools" to CMAKE_PREFIX_PATH or set
"Qt5UiTools_DIR" to a directory containing one of the above files. If
"Qt5UiTools" provides a separate development package or SDK, be sure it has
been installed.
CMake Error at /usr/lib/x86_64-linux-gnu/cmake/Qt5Gui/Qt5GuiConfig.cmake:27 (message):
The imported target "Qt5::Gui" references the file
"/usr/lib/x86_64-linux-gnu/libEGL.so"
but this file does not exist. Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
"/usr/lib/x86_64-linux-gnu/cmake/Qt5Gui/Qt5GuiConfigExtras.cmake"
but not all the files it references.
Call Stack (most recent call first):
/usr/lib/x86_64-linux-gnu/cmake/Qt5Gui/Qt5GuiConfigExtras.cmake:50 (_qt5_Gui_check_file_exists)
/usr/lib/x86_64-linux-gnu/cmake/Qt5Gui/Qt5GuiConfigExtras.cmake:72 (_qt5gui_find_extra_libs)
/usr/lib/x86_64-linux-gnu/cmake/Qt5Gui/Qt5GuiConfig.cmake:158 (include)
PySide2/CMakeLists.txt:7 (find_package)
-- Configuring incomplete, errors occurred!
See also "/home/pierrepaul/Workbench/pyside-setup/pyside_build/py3.5-qt5.5.1-64bit-release/pyside2/CMakeFiles/CMakeOutput.log".
error: Error configuring pyside2
@ysangkok

This comment has been minimized.

Copy link

ysangkok commented Jul 17, 2017

Qt5UiToolsConfig.cmake is provided by qt5tools-dev in xenial

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.